<div mat-dialog-content>
  <p>Please enter the OTP</p>
  <mat-form-field>
    <mat-label>OTP</mat-label>
    <input matInput [(ngModel)]="data.otp">
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Cancel</button>
  <button mat-button [mat-dialog-close]="data.otp" cdkFocusInitial>Ok</button>
</div>
